Bug 387691 - coredump with dual-head on both i810 and intel drivers
coredump with dual-head on both i810 and intel drivers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 16:39 EST by Dave Mitchell
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 09:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
conf file: dual head with interl driver (1.90 KB, text/plain)
2007-11-16 16:39 EST, Dave Mitchell
no flags Details
conf file with dual head an i810 driver (1.97 KB, text/plain)
2007-11-16 16:40 EST, Dave Mitchell
no flags Details
log file form dual-head intel driver (57.28 KB, text/plain)
2007-11-16 16:41 EST, Dave Mitchell
no flags Details
log file from dual-head i810 driver (71.68 KB, text/plain)
2007-11-16 16:42 EST, Dave Mitchell
no flags Details

  None (edit)
Description Dave Mitchell 2007-11-16 16:39:52 EST
Description of problem:

A laptop works fine with an external LCD monitor. However, when trying to
congigure dual-head, the X server crashes during startup. The stack trace
indicates that thre segfault happens in the driver. Initially it was using the
"intel" driver; when I switched to the "i810" driver the same thing happened
(this time the segfault in the i810 driver). I attach two xorg.conf files and
associated log files.

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.1.1-7.fc8
xorg-x11-server-Xorg-1.3.0.0-33.fc8

How reproducible:

use one of the attached xorg.confs, and try to start X.


Steps to Reproduce:
1 as above

  
Actual results:
SEGV:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80cdee1]
1: [0x110420]
2: /usr/lib/xorg/modules//drivers/intel_drv.so [0x240a29]
3: /usr/lib/xorg/modules//drivers/intel_drv.so [0x240ed0]
4: /usr/lib/xorg/modules//drivers/intel_drv.so [0x241ff5]
5: /usr/lib/xorg/modules//drivers/intel_drv.so(i830_allocate_2d_memory+0x129)
[0x242309]
6: /usr/lib/xorg/modules//drivers/intel_drv.so [0x23d6ee]
7: /usr/bin/X(AddScreen+0x1ee) [0x806fb7e]
8: /usr/bin/X(InitOutput+0x225) [0x80a2b65]
9: /usr/bin/X(main+0x27b) [0x807032b]
10: /lib/libc.so.6(__libc_start_main+0xe0) [0x932390]
11: /usr/bin/X(FontFileCompleteXLFD+0x1f1) [0x806f831]



Expected results:


Additional info:

This same laptop worked fine under FC5 dual-head with and external CRT. Since
the upgrade to F* and replacing the CRT monitor with a 1440x900 LCD its been
failing. NB - the laptop is a Dell D400 with a 1024 x 768 display.
Comment 1 Dave Mitchell 2007-11-16 16:39:52 EST
Created attachment 261841 [details]
conf file: dual head with interl driver
Comment 2 Dave Mitchell 2007-11-16 16:40:49 EST
Created attachment 261861 [details]
conf file with dual head an i810 driver
Comment 3 Dave Mitchell 2007-11-16 16:41:36 EST
Created attachment 261871 [details]
log file form dual-head intel driver
Comment 4 Dave Mitchell 2007-11-16 16:42:14 EST
Created attachment 261881 [details]
log file from dual-head i810 driver
Comment 5 Artem 2007-11-19 08:00:44 EST
I have the same behavior with HP compaq 6230 laptop

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS, 943/940GML
Express Integrated Graphics Controller (rev 03)

I'm able to get second monitor (external) working with i810, but not able to
make it not to be clone of LFP. In any configuration (using Xinerama or not,
"Clone" "off") DFP is clone of LFP.
Comment 6 Jesse Barnes 2008-01-10 18:45:37 EST
Looks like the config for the 'intel' driver is a bit off.  Try the 
instructions at http://www.intellinuxgraphics.org/dualhead.html instead.  Note 
that zaphod mode isn't support atm, so if you're trying to do that, this is a 
dup of 239332.
Comment 7 Dave Mitchell 2008-01-19 18:33:27 EST
Well, having read the the instructions at that URL and having tried playing with
xrandr, I find that xrandr claims that the maximum screen size I can have is
1360 x 1360, and thus won't allow me to achive my minimum desired goal of 2048 x
768 (ie two 1024 x 768 screens side-by-side). Note that my hardare (intel
852GM/855GM) is capable of supporting this, as I used to be able to do it with a
pre-xrandr xorg.conf setup under FC5 (admittedly with an external CRT rather
than the external LCD I have now).

Any suggestions?

Here's the output from xrandr:

$ xrandr --verbose
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1360 x 1360
VGA connected 1024x768+0+0 (0x55) normal (normal left inverted right x axis y
axis) 0mm x 0mm
        Identifier: 0x4c
        Timestamp:  -1810282812
        Subpixel:   unknown
        Clones:     TMDS
        CRTC:       0
        CRTCs:      0 1
  1360x768 (0x4f)   84.8MHz -HSync +VSync
        h: width  1360 start 1432 end 1568 total 1776 skew    0 clock   47.7KHz
        v: height  768 start  771 end  781 total  798           clock   59.8Hz
  1360x768 (0x50)   72.0MHz +HSync -VSync
        h: width  1360 start 1408 end 1440 total 1520 skew    0 clock   47.4KHz
        v: height  768 start  771 end  781 total  790           clock   60.0Hz
  1280x800 (0x51)   83.5MHz -HSync +VSync
        h: width  1280 start 1344 end 1480 total 1680 skew    0 clock   49.7KHz
        v: height  800 start  801 end  804 total  828           clock   60.0Hz
  1152x864 (0x52)   81.6MHz -HSync +VSync
        h: width  1152 start 1216 end 1336 total 1520 skew    0 clock   53.7KHz
        v: height  864 start  865 end  868 total  895           clock   60.0Hz
  1280x768 (0x53)   80.1MHz -HSync +VSync
        h: width  1280 start 1344 end 1480 total 1680 skew    0 clock   47.7KHz
        v: height  768 start  769 end  772 total  795           clock   60.0Hz
  1280x720 (0x54)   74.5MHz -HSync +VSync
        h: width  1280 start 1336 end 1472 total 1664 skew    0 clock   44.8KHz
        v: height  720 start  721 end  724 total  746           clock   60.0Hz
  1024x768 (0x55)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x56)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x57)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
LVDS connected 1024x768+0+0 (0x58) normal (normal left inverted right x axis y
axis) 246mm x 184mm
        Identifier: 0x4d
        Timestamp:  -1810282812
        Subpixel:   horizontal rgb
        Clones:    
        CRTC:       1
        CRTCs:      1
        EDID_DATA:
                00ffffffffffff002494c62200000000
                00000103801912780ae7b593564f8d28
                1f505400000001010101010101010101
                01010101010164190028410023301888
                3600f6b8000000180000000f0004ff10
                ff01ff041f5eff058000000000fe0039
                543833320149415847303244000000fe
                00d0cabeaf9f89692701000a202000de
        BACKLIGHT: 0 (0x00000000) range:  (0,0)
  1024x768 (0x58)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1320 skew    0 clock   49.2KHz
        v: height  768 start  771 end  777 total  803           clock   61.3Hz
  1024x768 (0x55)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x56)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x57)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
TMDS disconnected (normal left inverted right x axis y axis)
        Identifier: 0x4e
        Timestamp:  -1810282812
        Subpixel:   horizontal rgb
        Clones:     VGA
        CRTCs:      0 1

$ xrandr --output VGA --right-of LVDS
xrandr: screen cannot be larger than 1360x1360 (desired size 2048x768)

$ xrandr --fb 2048x768
xrandr: screen cannot be larger than 1360x1360 (desired size 2048x768)
Comment 8 Jesse Barnes 2008-01-21 11:57:08 EST
Looks like you need to add a 'Virtual' option to your screen section (see the 
end of the "static configuration" example on the dualhead.html page).  
Hopefully that'll clear things up for you.  If so, please close this one out.

Thanks,
Jesse
Comment 9 Matěj Cepl 2008-06-12 09:23:52 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.